Issue 115851

Summary: Dragging multiple slides in slide sorter significantly slows program
Product: Impress Reporter: yvh11a <yvh11a>
Component: uiAssignee: AOO issues mailing list <issues>
Status: UNCONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOO330m13   
Target Milestone: ---   
Hardware: Unknown   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description yvh11a 2010-11-30 21:16:38 UTC
When dragging and dropping multiple slides in slide sorter view, program lags
considerably.

Steps to reproduce:
1. Create a new Openoffice presentation document
2. Create 12 blank slides.  (behaviour occurs with any number of slides but
becomes more serious the more slides are involved)
3. Switch to Slide Sorter view.
4. Select slides 1-10 using ctrl-click.
5. Drag selected slides to the space between slides 11 and 12.

Observed behaviour: Program slows to a crawl and becomes unresponsive until
slides have moved.

Expected behaviour: Program remains responsive.
Comment 1 wolframgarten 2010-12-01 07:59:31 UTC
Sorry, not reproducible on OOo330_m17. Can you tell us something about your
hardware?
Comment 2 yvh11a 2010-12-01 15:11:45 UTC
Hardware is a stock Toshiba Satellite L305.  Hardware listed on this page
verified correct.

http://us.toshiba.com/computers/laptops/satellite/L300/L305-S5908

Tested using Fedora Core 13 and Fedora Core 14, both running KDE, (graphics)
hardware acceleration enabled.  Possibly only applicable to Linux systems?

Also occurs on OOo320_m12, with the above hardware.
Comment 3 Rob Weir 2013-02-02 02:56:37 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please provide feedback as requested and re-test with the the latest version of OpenOffice - the problem(s) may already be addressed. 

You can download Apache OpenOffice 3.4.1 from http://www.openoffice.org/download

Please report back the outcome of your testing, so this Issue may be closed or
progressed as necessary - otherwise the issue may be Resolved as Invalid in the
future.